Bug 974606 - radeon crash after switch off/on with vgaswitcheroo
radeon crash after switch off/on with vgaswitcheroo
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 11:01 EDT by Alphonse Steiner
Modified: 2015-02-17 10:35 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:34:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alphonse Steiner 2013-06-14 11:01:47 EDT
Description of problem:
The radeon module is used on the laptop to switch off the discrete card.
If I try to switch it on after that, the radeon module crash.
Here is the corresponding part in the log:

 [  823.064209] radeon 0000:01:00.0: enabling device (0000 -> 0003)
 [  823.065262] radeon 0000:01:00.0: GPU softreset: 0x00000BDD
 [  823.065265] radeon 0000:01:00.0:   GRBM_STATUS               = 0xFFFFFFFF
 [  823.065267] radeon 0000:01:00.0:   GRBM_STATUS_SE0           = 0xFFFFFFFF
 [  823.065269] radeon 0000:01:00.0:   GRBM_STATUS_SE1           = 0xFFFFFFFF
 [  823.065271] radeon 0000:01:00.0:   SRBM_STATUS               = 0xFFFFFFFF
 [  823.065273] radeon 0000:01:00.0:   SRBM_STATUS2              = 0xFFFFFFFF
 [  823.065275] radeon 0000:01:00.0:   R_008674_CP_STALLED_STAT1 = 0xFFFFFFFF
 [  823.065277] radeon 0000:01:00.0:   R_008678_CP_STALLED_STAT2 = 0xFFFFFFFF
 [  823.065279] radeon 0000:01:00.0:   R_00867C_CP_BUSY_STAT     = 0xFFFFFFFF
 [  823.065281] radeon 0000:01:00.0:   R_008680_CP_STAT          = 0xFFFFFFFF
 [  823.065283] radeon 0000:01:00.0:   R_00D034_DMA_STATUS_REG   = 0xFFFFFFFF
 [  824.357552] radeon 0000:01:00.0: Wait for MC idle timedout !
 [  824.357555] radeon 0000:01:00.0: GRBM_SOFT_RESET=0xFFFFFFFF
 [  824.357609] radeon 0000:01:00.0: SRBM_SOFT_RESET=0xFFFFFFFF
 [  824.358768] radeon 0000:01:00.0:   GRBM_STATUS               = 0xFFFFFFFF
 [  824.358770] radeon 0000:01:00.0:   GRBM_STATUS_SE0           = 0xFFFFFFFF
 [  824.358772] radeon 0000:01:00.0:   GRBM_STATUS_SE1           = 0xFFFFFFFF
 [  824.358774] radeon 0000:01:00.0:   SRBM_STATUS               = 0xFFFFFFFF
 [  824.358776] radeon 0000:01:00.0:   SRBM_STATUS2              = 0xFFFFFFFF
 [  824.358778] radeon 0000:01:00.0:   R_008674_CP_STALLED_STAT1 = 0xFFFFFFFF
 [  824.358780] radeon 0000:01:00.0:   R_008678_CP_STALLED_STAT2 = 0xFFFFFFFF
 [  824.358782] radeon 0000:01:00.0:   R_00867C_CP_BUSY_STAT     = 0xFFFFFFFF
 [  824.358784] radeon 0000:01:00.0:   R_008680_CP_STAT          = 0xFFFFFFFF
 [  824.358786] radeon 0000:01:00.0:   R_00D034_DMA_STATUS_REG   = 0xFFFFFFFF
 [  829.366382] [drm:atom_op_jump] *ERROR* atombios stuck in loop for more than 5secs aborting
 [  829.366388] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing D7BA (len 62, WS 0, PS 0) @ 0xD7D6
 [  829.366391] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing C4BA (len 1036, WS 4, PS 0) @ 0xC5B7
 [  829.366394] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing C446 (len 85, WS 0, PS 8) @ 0xC44E
 [  829.366400] [drm] PCIE gen 2 link speeds already enabled
 [  830.657456] radeon 0000:01:00.0: Wait for MC idle timedout !
 [  830.818785] radeon 0000:01:00.0: Wait for MC idle timedout !
 [  830.825822] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
 [  830.825869] divide error: 0000 [#1] SMP 
 [  830.825908] Modules linked in: fuse radeon ttm rfcomm bnep nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables dm_crypt snd_hda_codec_hdmi arc4 ath9k ath9k_common ath9k_hw snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm acpi_cpufreq mperf coretemp kvm_intel kvm crc32_pclmul crc32c_intel ghash_clmulni_intel ath snd_page_alloc mac80211 cfg80211 ath3k btusb samsung_laptop snd_timer iTCO_wdt iTCO_vendor_support uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media microcode bluetooth rfkill snd lpc_ich r8169 mfd_core i2c_i801 soundcore mii mei wmi binfmt_misc uinput i915 i2c_algo_bit drm_kms_helper drm i2c_core video
 [  830.825923] CPU 2 
 [  830.825923] Pid: 1364, comm: bash Not tainted 3.9.5-301.fc19.x86_64 #1 SAMSUNG ELECTRONICS CO., LTD. 350V5C/350V5X/350V4C/350V4X/351V5C/351V5X/351V4C/351V4X/3540VC/3540VX/3440VC/3440VX/NP350V5C-S07FR
 [  830.825951] RIP: 0010:[<ffffffffa0679942>]  [<ffffffffa0679942>] r6xx_remap_render_backend+0x72/0xf0 [radeon]
 [  830.825952] RSP: 0018:ffff8801919ffd68  EFLAGS: 00010246
 [  830.825953] RAX: 0000000000000004 RBX: 0000000000000002 RCX: 0000000000000002
 [  830.825954] RDX: 0000000000000000 RSI: 0000000000000002 RDI: 00000000000000ff
 [  830.825956] RBP: ffff8801919ffda0 R08: 00000000000000ff R09: ffff8801919ffd2c
 [  830.825957] R10: ffff8801a9412000 R11: 0000000000000001 R12: 00000000000000ff
 [  830.825958] R13: 0000000000000004 R14: 0000000000000002 R15: 0000000000000000
 [  830.825960] FS:  00007f2e3dedd740(0000) GS:ffff8801bf300000(0000) knlGS:0000000000000000
 [  830.825961] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
 [  830.825963] CR2: 000000000046c8b0 CR3: 00000001b5fcd000 CR4: 00000000001407e0
 [  830.825964] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
 [  830.825966] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
 [  830.825967] Process bash (pid: 1364, threadinfo ffff8801919fe000, task ffff88018adb5dc0)
 [  830.825968] Stack:
 [  830.825972]  ffff8801a9412000 0000000100000000 ffff8801a9412000 00000000000000ff
 [  830.825975]  0000000002010002 0000000040000000 00000000ffffffff ffff8801919ffe00
 [  830.825977]  ffffffffa0694966 0000000000000000 0000000000000000 0000000000000000
 [  830.825978] Call Trace:
 [  830.825999]  [<ffffffffa0694966>] evergreen_startup+0x1116/0x1800 [radeon]
 [  830.826015]  [<ffffffffa0695088>] evergreen_resume+0x38/0x80 [radeon]
 [  830.826026]  [<ffffffffa0634a28>] radeon_resume_kms+0x78/0x1a0 [radeon]
 [  830.826036]  [<ffffffffa0634bfc>] radeon_switcheroo_set_state+0xac/0xf0 [radeon]
 [  830.826043]  [<ffffffff813df095>] vga_switchon+0x35/0x50
 [  830.826046]  [<ffffffff813df928>] vga_switcheroo_debugfs_write+0x368/0x3b0
 [  830.826052]  [<ffffffff8128ed41>] ? security_file_permission+0x21/0xa0
 [  830.826057]  [<ffffffff81199d5f>] vfs_write+0x9f/0x170
 [  830.826060]  [<ffffffff8119a059>] sys_write+0x49/0xa0
 [  830.826064]  [<ffffffff8164e799>] system_call_fastpath+0x16/0x1b
 [  830.826089] Code: c4 41 80 fc ff 45 0f 44 e0 d3 e0 44 89 e7 41 89 c5 e8 93 ff ff ff 41 29 c7 44 8b 5d d4 4c 8b 55 c8 45 39 fd 72 7d 31 d2 44 89 e8 <41> f7 f7 44 0f af f8 41 89 c1 44 89 e8 44 29 f8 41 83 ba c0 00 
 [  830.826105] RIP  [<ffffffffa0679942>] r6xx_remap_render_backend+0x72/0xf0 [radeon]
 [  830.826106]  RSP <ffff8801919ffd68>
 [  830.835728] ---[ end trace 7889d3d7f70cf61b ]---





Version-Release number of selected component (if applicable):
Tested with kernel 3.9.4 and 3.9.5

How reproducible:


Steps to Reproduce:
1. modprobe radeon
2. echo IGD > /sys/kernel/debug/vgaswitcheroo/switch 
   echo OFF > /sys/kernel/debug/vgaswitcheroo/switch
3. echo ON > /sys/kernel/debug/vgaswitcheroo/switch

Actual results:
crash of radeon, need to reboot

Expected results:
The discrete card can be switched on/off.

Additional info:
This is a regression; everything works as expected in fedora 17, kernel 3.8.X.
Comment 1 Alphonse Steiner 2013-06-16 10:41:36 EDT
Important information: this crash appears _only_after_ a suspend/resume cycle.
The discrete card can be turned on/off without problem before this cycle.
Comment 2 Fedora End Of Life 2015-01-09 13:25:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:34:53 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.